Subject: [Netconf] How to augment RFC6470 to supply detail configuration change information

From: Mandy Liu <[email-masked]>
Date: Mon, 1 Jun 2015 06:51:27 +0000

Hi Andy and all,

For configuration change notification in RFC6470, it only provides "what is changed" via "target" to network management. It doesn't have a field be used to provide the detail configuration change information about "the configuration is changed to what". I want to ask for your suggestion about how to augment RFC6470 to provide "the configuration is changed to what ".

I am considering to add something like "content" for "target", which is used to contain the detail information about the configuration changes. But the big question currently is for the "target" node, it may be a container, a list, a leaf or a leaf-reference, etc. It could be any node of the tree. So we need to find a common format for the "content" to accommodate different types of "target". what I can imagine is anyxml could be used. But seems it is not a good choice. Because based on RFC6020, it is not recommended to be used on configuration data.

Do you have any suggestion/idea on this augment? Thanks!

Regards,
Mandy